class ExerciseChoice < ApplicationRecord

  belongs_to :exercise_question
  has_many :exercise_answers, :dependent => :delete_all
  has_many :exercise_standard_answers, :dependent => :delete_all

  scope :find_choice_custom, lambda {|k,v| where("#{k} = ?",v)}  #根据传入的参数查找问题
  scope :left_choice_choose, lambda {|k,v| where("#{k} > ?",v)}  #根据传入的参数查找问题

end